/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* Typography */
:root {
    --text-xl: clamp(2rem, 2.2vw + 1.56rem, 3.438rem); 
    --text-l: clamp(1.75rem, 0.438vw + 1.663rem, 2.1875rem);  
    --text-m: clamp(1.25rem, 0.215vw + 1.212rem, 1.375rem);
    --text-s: clamp(0.938rem, 0.095vw + 0.919rem, 1rem);
}

/* Utility */
.project-image {
	object-position: center 0
}

.profile-image {
	object-position: center 30%
}

.flipped-image {
    transform: scaleX(-1);
}

.button-text {
	text-decoration: underline!important;
}

.aspect-16-9 {
	aspect-ratio: 16/9;
	object-fit: cover;
}

.aspect-536-652 {
	aspect-ratio: 536/652;
	object-fit: cover;
}

.aspect-430-342 {
	aspect-ratio: 430/342;
	object-fit: cover;
}

.aspect-770-482 {
	aspect-ratio: 770/482;
	object-fit: cover;
}

.aspect-527-397 {
	aspect-ratio: 527/397;
	object-fit: cover;
}

.aspect-537-307 {
	aspect-ratio: 537/307;
	object-fit: cover;
}

.aspect-262-327 {
	aspect-ratio: 262/327;
	object-fit: cover;
}

/* Header */
.site-header,
.sticky-enabled .main-navigation.is_stuck {
    box-shadow: 0px 0px 10px #0000004D;
}

a.header-button {
	color: #fff!important;
}	

.main-navigation .menu-toggle {
    font-size: 18px;
}

@media(max-width: 1275px) {
	a.header-button {
		display: none;
	}	
}

/* Gravity Forms */
.gform_wrapper {
    width: 100%;
}

.gform_wrapper .gform_validation_errors>h2 {
    color: #c02b0a;
    font-size: 13.2px!important;
    font-weight: 500;
    line-height: 17.6px;
    margin: 0 0 12px!important;
}

/*** FIELD STYLING ***/
.gform_wrapper ul.gform_fields li.gfield,
.gform_wrapper .top_label li.gfield.gf_right_half {
    padding-right: 0;
}

.gfield_consent_label {
    font-size: 15px;
}

.gform_wrapper input[type=text], 
.gform_wrapper textarea,
.gform_wrapper input[type=password], 
.gform_wrapper [type="search"], 
.gform_wrapper [type="date"], 
.gform_wrapper [type="tel"], 
.gform_wrapper [type="email"] {
    background: transparent;
    border: solid 1px rgba(85, 85, 85, 0.5)!important;
    /* border-right: none!important;
    border-left: none!important;;
    border-top: none!important;; */
    border-radius: 0;
    color: rgba(61, 66, 71, 0.6)!important;
    font-weight: 400!important;
    /* padding: 8px 12px 5px 0!important; */
  	font: inherit; 
}

.gform_wrapper.gravity-theme .gfield textarea.small {
    height: 75px!important;
}

.gform_wrapper .gform_body .gform_fields .gfield select {
    border: solid 1px rgba(85, 85, 85, 0.5)!important;
    /* border-right: none!important;;
    border-left: none!important;;
    border-top: none!important;; */
    border-radius: 0;
    color: rgba(61, 66, 71, 0.6)!important;
    font-weight: 700 !important;
    letter-spacing: 1px !important;
    /* padding: 17px 15px !important; */
}

/*** BUTTON STYLING ***/
.gform_wrapper input[type=submit] {
    display: inline-flex;
    /* font-family: inherit; */
    font-weight: 700!important;
    text-transform: uppercase;
    padding: .5em 2.25em;
    line-height: 1.4!important;
    border-radius: 0;
    background-color: var(--primary);
    color: var(--white);
    font-family: Open Sans, sans-serif;
    /* box-shadow: 0 10px 20px 0 #00000029; */
    /* transition: all 0.5s ease; */
}

.custom-form-submit {
    line-height: 1.3!important;
    padding: 0.75em 2em 0.25em 2em!important;
}

.custom-form-submit .gb-icon {
    margin-left: 5px;
}

/*** BUTTON HOVER STYLING ***/
.gform_wrapper input[type=submit]:hover {
    background-color: var(--primary-hover);
    /* transform: scale(1.025) perspective(1000px); */
}

input::placeholder,
textarea::placeholder,
textarea::-webkit-input-placeholder,
.gform_wrapper input::placeholder,
.gform_wrapper textarea::placeholder,
.gform_wrapper textarea::-webkit-input-placeholder {
    color: var(--text);
    opacity: 0.5;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder,
.gform_wrapper input:-ms-input-placeholder,
.gform_wrapper textarea:-ms-input-placeholder {
    color: var(--text);
    opacity: 0.5;
}

input::-ms-input-placeholder,
textarea::-ms-input-placeholder,
.gform_wrapper input::-ms-input-placeholder,
.gform_wrapper textarea::-ms-input-placeholder {
    color: var(--text);
    opacity: 0.6;
}

form small,
.gform_wrapper form small {
    font-size: 60%;
    color: var(--text);
}

#custom-form-submit-button .gb-icon svg {
    width: 1.25em;
    height: 1.25em;
    fill: currentColor;
}

@media (min-width: 641px) {
    .gform_wrapper.gravity-theme .ginput_complex:not(.ginput_container_address) fieldset:not([style*="display:none"]):not(.ginput_full), .gform_wrapper.gravity-theme .ginput_complex:not(.ginput_container_address) span:not([style*="display:none"]):not(.ginput_full) {
        padding-right: 0%!important;
    }
}


@media(max-width: 767px) {
    .gform_wrapper input[type=submit] {
        display: block;
        width: 100%;
    }
}